/*
Theme Name: CCCA
Author: CCCA
Author URI: https://cccabox.org
Version: 2.0
Template: twentytwentyfive
*/

/* Hide member login */

.ccca_nav_login {display: none !important;}

/**** Global ****/

strong {font-weight: 700;}
.ccca_video_wrapper {
    overflow: hidden;
    margin-block-end: 0.5rem !important;
}

/* Buttons */

.wp-block-post-excerpt__more-text a,
.wp-block-button a {
    display: inline-flex;
    align-items: center;
    max-width: 450px;
    text-decoration: none;
    cursor: pointer;
}
.wp-block-post-excerpt__more-text a::after,
.wp-block-button a::after {
    content: "⟶";
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0.1rem 0.25rem 0.5rem 0.25rem;
    margin-left: 0.5rem;
    color: var(--wp--preset--color--background);
    background-color: var(--wp--preset--color--primary);
    line-height: 1;
    font-weight: 700;
    aspect-ratio: 1 / 1;
    flex-shrink: 0;
    align-self: center;
}
.wp-block-post-excerpt__more-text a:hover,
.wp-block-button a:hover {
    color: var(--wp--preset--color--foreground) !important;
    transform: translateX(2px);
    transition: transform 0.25s ease;
}
.wp-block-post-excerpt__more-text a:hover::after,
.wp-block-button a:hover::after {background-color: var(--wp--preset--color--foreground);}
.ccca_button_white a {color: var(--wp--preset--color--secondary) !important;}
.ccca_button_white a::after {
    color: var(--wp--preset--color--primary);
    background-color: var(--wp--preset--color--secondary);
}
.ccca_button_white a:hover {color: var(--wp--preset--color--background) !important;}
.ccca_button_white a:hover::after {background-color: var(--wp--preset--color--background);}

/**** Header ****/

.ccca_hero img {
    max-height: 350px !important;
    border-radius: 16px;
}
body.single .ccca_hero img {max-height: 100% !important;}

/**** Footer ****/

footer {margin-block-start: 0;}
.ccca_footer_menu li.ccca_nav_button {display: none;}
body .ccca_footer_credits {display: inline-block;}
.ccca_footer_credits p {display: inline;}

/**** Navigation ****/

header .wp-block-navigation__responsive-container.is-menu-open {padding: 2rem;}
header .wp-block-navigation__responsive-container-open {
    background-color: var(--wp--preset--color--primary);
    border-radius: 8px;
}
header .wp-block-navigation__responsive-container-open svg {
    color: var(--wp--preset--color--background);
    padding: 0.25rem;
}
header .wp-block-navigation__responsive-container .wp-block-navigation li a.wp-block-navigation-item__content:hover {text-decoration: none;}
header .wp-block-navigation__responsive-container .wp-block-navigation li:hover > a {color: var(--wp--preset--color--secondary);}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_button > a.wp-block-navigation-item__content {
    color: var(--wp--preset--color--background);
    padding: 0.625rem;
    font-size: var(--wp--preset--font-size--small);
    border-radius: 1rem;
}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_phone > a.wp-block-navigation-item__content,
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_email > a.wp-block-navigation-item__content {background-color: var(--wp--preset--color--primary);}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_button.ccca_nav_login > a.wp-block-navigation-item__content {
    background-color: var(--wp--preset--color--secondary);
    border-radius: 1rem;
}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_button > a.wp-block-navigation-item__content:hover {background-color: var(--wp--preset--color--foreground);}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_phone + li.ccca_nav_email {margin-left: -1rem;}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_email + li.ccca_nav_login {margin-left: -0.5rem;}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_button a.wp-block-navigation-item__content::before {
    font-family: "Material Symbols Outlined";
    font-variation-settings: 'FILL' 1, 'wght' 400, 'GRAD' 0,'opsz' 24;
    vertical-align: middle;
    margin-right: 0.25rem;
}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_phone a.wp-block-navigation-item__content::before {content: "call";}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_email a.wp-block-navigation-item__content::before {content: "mail";}
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_login a.wp-block-navigation-item__content::before {content: "lock";}
header .wp-block-navigation__responsive-container .wp-block-navigation li.current-menu-item {color: var(--wp--preset--color--secondary) !important;}
html[lang="fr-CA"] ul.wp-block-navigation__container li.has-small-font-size,
header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_button > a.wp-block-navigation-item__content {font-size: 0.75rem;}

/**** Slider ****/

.ccca_slider.is-layout-constrained > .ccca_slider_track {
    margin-left: 0 !important;
    margin-right: 0 !important;
    max-width: none !important;
}
.ccca_slider.is-layout-constrained > .ccca_slider_track {
    --wp--style--global--content-size: 100% !important;
    max-width: 100% !important;
}
.ccca_slide {
    margin-block-start: 0;
    padding-right: 2rem !important;
    box-sizing: border-box;
}
.ccca_slide .wp-block-embed__wrapper iframe {border-radius: 16px;}
.ccca_slider_nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
    margin-top: 16px;
    position: relative;
}
.ccca_slider_pagination {
    display: flex;
    justify-content: center;
    gap: 8px;
    position: relative;
    height: 10px;
}
.swiper-pagination-bullet {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #777;
    border: none;
    cursor: pointer;
}
.swiper-pagination-bullet-active {background: #fff;}
.ccca_slider_arrows {
    display: flex;
    gap: 16px;
}
.ccca_prev, .ccca_next {
    position: relative;
    z-index: 10;
    cursor: pointer;
    opacity: 1;
    transition: opacity 0.3s;
    background: none;
    border: none;
    color: #fff;
    font-size: 2rem;
    padding: 0 8px;
    line-height: 1;
}
.swiper-button-disabled {
    opacity: 0.3;
    cursor: default;
}

/**** Industry ****/

.ccca_industry_connections a:where(:not(.wp-element-button)) {text-decoration: none;}

/**** Blog ****/

body.blog .wp-site-blocks .wp-block-template-part {margin-block-start: 0;}
body.blog main {padding-bottom: 8rem !important;}

/**** Forms ****/

.ccca_form label {font-weight: 600;}
.ccca_form .wpcf7-form-control-wrap {
    display: block;
    margin: 0.25rem 0;
}
.ccca_form_row {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}
.ccca_form_member span.wpcf7-checkbox {
    display: flex;
    flex-direction: column;
}
.ccca_form textarea {width: 100% !important;}
.ccca_form input,
.ccca_form select,
.ccca_form textarea {
    font-size: 1rem;
    border: none;
    border-radius: 16px;
    padding: 0.5rem 1rem;
}
.wpcf7-not-valid-tip {margin-top: 0.5rem;}
.wpcf7-submit {
    background-color: var(--wp--preset--color--primary);
    color: var(--wp--preset--color--background);
}

/**** Mobile ****/

@media screen and (max-width: 782px) {

    /**** Global ****/

    .wp-block-columns.reverse-on-mobile {flex-direction: column-reverse;}
    .ccca_hero,
    .ccca_front_hero {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
        padding-bottom: 1rem !important;
    }

    /**** Footer ****/   

    .ccca_footer_menu .wp-block-navigation__container {
        flex-direction: column;
        align-items: flex-start;
    }
    .ccca_footer_box {padding-top: 2rem;}

    .ccca_footer_tagline {
        margin-top: -4rem !important;
    }

    /**** Front ****/

    .ccca_front_hero {
        min-height: 400px !important;
        aspect-ratio: unset !important;
    }

    /**** About Us ****/

    .members-map-svg-wrap {display: none;}
    .ccca_committee figure {
        max-width: 200px;
        margin: 0 auto;
    }

} /* Mobile */

/**** Tablet ****/

@media screen and (max-width: 1239px) {

    /**** Footer ****/

    .ccca_footer_contacts {
        flex-direction: column;
        gap: 1rem;
    }

} /* Tablet */

/**** Desktop ****/

@media screen and (min-width: 1240px) {

    /**** Header ****/

    header .ccca_header {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    /**** Navigation ****/

    header .wp-block-navigation__responsive-container .wp-block-navigation {gap: 1rem;}
    header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_phone > a.wp-block-navigation-item__content {border-radius: 1rem 0 0 1rem;}
    header .wp-block-navigation__responsive-container .wp-block-navigation li.ccca_nav_email > a.wp-block-navigation-item__content {border-radius: 0 1rem 1rem 0;}

    /**** Footer ****/

    .ccca_footer_bottom {margin-top: -4rem;}

} /* Desktop */